function [A,b] = getlinearsystem_imagematch(camMatrix, numDots,x2d,c,m3d)

% generate projection matrix, assuming orthographic camera
for i=1:numDots
    M((i-1)*2+1:(i-1)*2+2,(i-1)*3+1:(i-1)*3+3) = camMatrix(1:2,:);
end

% least squares system
A= M*c;
b = x2d' - M*m3d';
