function plotStickFigure2DDotsLR(Out,H,skeleton,mk,clr)

if(~exist('mk'))
    mk = 'ko';
    mkL = 'gs';
    mkR = 'r+';
end
if(~exist('clr'))
    clr = 'k';
    clrR = 'r';
    clrL = 'g';
end

%plot(x,y, mk, 'MarkerSize', 7);
numDots = size(Out,2);
for i=1:numDots
    if (i<=skeleton.PELVIS)
        plot(Out(1,i), Out(2,i), mk, 'LineWidth',3, 'MarkerSize', 5);
    elseif( (i>=skeleton.UPPERARMR && i<=skeleton.HANDR) | (i>=skeleton.UPPERLEGR && i<=skeleton.TOESR ) )
        plot(Out(1,i), Out(2,i), mkR, 'LineWidth',3, 'MarkerSize', 7);
    elseif( (i>=skeleton.UPPERARML && i<=skeleton.HANDL) | (i>=skeleton.UPPERLEGL && i<=skeleton.TOESL )  )
        plot(Out(1,i), Out(2,i), mkL, 'LineWidth',3, 'MarkerSize', 7);
    end
    hold on
end

axis equal,
grid on,

for i = 1:length(H)
    for j = 1:length(H)
        if(H(i,j) == 1)
            plot([Out(1,i) Out(1,j)], [Out(2,i) Out(2,j)], [clr '-'], 'LineWidth',3);
        end
    end
end


%plot(x,y,'r.', 'MarkerSize', 20);
xlabel('x-coordinate')
ylabel('y-coordinate')