% remove yaw from every pose

function [d2d,d3d,R] = project3dworldto2dimage(dots, ja, az,el, H)

for i=1:size(dots,1)
    d = reshape(dots(i,:),3,[]);
    R1 = getRxyz(0,0,-ja(i,6));
    t = d(:,5);
    dt = d - repmat(t,1,19);
    dr = R1*dt;
    T = viewmtx(az,el); R = T(1:3,1:3);
    drmatch = R * dr;
    drtmatch = drmatch ; %+ repmat(t,1,19);
    plotStickFigure2D(drtmatch(1,:),drtmatch(2,:),H,'.','g'); axis equal
    hold off
    drawnow
    disp(i)
    drtmatch2d = drtmatch(1:2,:);
    d2d(i,:) = drtmatch2d(:)';
    d3d(i,:) = dr(:)';
end