function [g,b,a,g2,b2,a2] = getRotationsZYX(R2)

b = atan2(R2(1,3) , sqrt(R2(2,3)^2 + R2(3,3)^2)) *180/pi; % about y axis
if (abs(cosd(b)) < 1e-9) % nearly zero
    if(sind(b)>0) % beta is +90
        a = 0; % any alpha would've satisfied. Therefore, choose zero
        g = atan2(R2(2,1) , R2(2,2)) * 180/pi; 
    elseif (sind(b)<0) % beta is -90
        a = 0; % any alpha would've satisfied. Therefore, choose zero
        g = atan2(R2(2,1) , R2(2,2)) * 180/pi; 
    end
else
    a = atan2(-R2(2,3)/cosd(b) , R2(3,3)/cosd(b)) *180/pi; % about x axis
    g = atan2(-R2(1,2)/cosd(b) , R2(1,1)/cosd(b)) *180/pi; % about z axis
end


b2 = atan2(R2(1,3) , -sqrt(R2(2,3)^2 + R2(3,3)^2)) *180/pi; % about y axis
if (abs(cosd(b)) < 1e-9) % nearly zero
    if(sind(b2)>0) % beta is +90
        a2 = 0; % any alpha would've satisfied. Therefore, choose zero
        g2 = atan2(R2(2,1) , R2(2,2)) * 180/pi; 
     elseif (sind(b)<0) % beta is -90
        a2 = 0; % any alpha would've satisfied. Therefore, choose zero
        g2 = atan2(R2(2,1) , R2(2,2)) * 180/pi; 
    end
        
else
    a2 = atan2(-R2(2,3)/cosd(b2) , R2(3,3)/cosd(b2)) *180/pi; % about x axis
    g2 = atan2(-R2(1,2)/cosd(b2) , R2(1,1)/cosd(b2)) *180/pi; % about z axis
end
