function [g2,b2,a2,g,b,a] = getRotationsZYXforyaw(R2)

b = atan2(R2(1,3) , sqrt(R2(2,3)^2 + R2(3,3)^2)) *180/pi; % about y axis
if (abs(cosd(b)) < 1e-9) % nearly zero
    a = 0; % any alpha would've satisfied. Therefore, choose zero
    g = atan2(R2(2,1) , R2(2,2)) * 180/pi; 
else
    a = atan2(-R2(2,3)/cosd(b) , R2(3,3)/cosd(b)) *180/pi; % about x axis
    g = atan2(-R2(1,2)/cosd(b) , R2(1,1)/cosd(b)) *180/pi; % about z axis
end

g2=g; b2=b; a2=a;

%if (abs(a)>179 | abs(g)>179)
    b = atan2(R2(1,3) , -sqrt(R2(2,3)^2 + R2(3,3)^2)) *180/pi; % about y axis
    if (abs(cosd(b)) < 1e-9) % nearly zero
        a = 0; % any alpha would've satisfied. Therefore, choose zero
        g = atan2(R2(2,1) , R2(2,2)) * 180/pi; 
    else
        a = atan2(-R2(2,3)/cosd(b) , R2(3,3)/cosd(b)) *180/pi; % about x axis
        g = atan2(-R2(1,2)/cosd(b) , R2(1,1)/cosd(b)) *180/pi; % about z axis
    end
%end