% g is the angle for the first rotation, b is the angle for the second
% rotation, a is the angle for the third rotation.
function R = getRxyz(g,b,a)

R(1,:) = [cosd(a)*cosd(b) cosd(a)*sind(b)*sind(g)-sind(a)*cosd(g) cosd(a)*sind(b)*cosd(g)+sind(a)*sind(g) ];
R(2,:) = [sind(a)*cosd(b) sind(a)*sind(b)*sind(g)+cosd(a)*cosd(g) sind(a)*sind(b)*cosd(g)-cosd(a)*sind(g)];
R(3,:) = [-sind(b) cosd(b)*sind(g) cosd(b)*cosd(g)];


