function plotStickFigureColorDotsLR(Out,H,skeleton,mk,clr)

if(~exist('mk'))
    mk = 'ko';
    mkL = 'gs';
    mkR = 'r+';
end
if(~exist('clr'))
    clr = 'k';
end

numDots = size(Out,2);

for i=1:numDots
    if (i<=skeleton.PELVIS)
        plot3(Out(1,i), Out(2,i), Out(3,i), mk, 'LineWidth',3, 'MarkerSize', 5);
    elseif( (i>=skeleton.UPPERARMR && i<=skeleton.HANDR) | (i>=skeleton.UPPERLEGR && i<=skeleton.TOESR ) )
        plot3(Out(1,i), Out(2,i), Out(3,i), mkR, 'LineWidth',3, 'MarkerSize', 7);
    elseif( (i>=skeleton.UPPERARML && i<=skeleton.HANDL) | (i>=skeleton.UPPERLEGL && i<=skeleton.TOESL )  )
        plot3(Out(1,i), Out(2,i), Out(3,i), mkL, 'LineWidth',3, 'MarkerSize', 7);
    end
    hold on;
end
axis equal
grid on

for i = 1:length(H)
    for j = 1:length(H)
        if(H(i,j) == 1)
            plot3([Out(1,i) Out(1,j)], [Out(2,i) Out(2,j)], [Out(3,i) Out(3,j)], clr, 'LineWidth',3);
        end
        %plot3(Out(1,i), Out(2,i), Out(3,i), 'ro', 'MarkerFaceColor', 'r');
    end
    %disp(i);
    %pause;
end