function plotStickFigureColorLinesLR(Out,H,mk,clr)

if(~exist('mk'))
    mk = 'o';
end
if(~exist('clr'))
    clr = 'k';
    clrL = 'b';
    clrR = 'r';
end

numDots = size(Out,2);

plot3(Out(1,1:numDots), Out(2,1:numDots), Out(3,1:numDots), mk, 'MarkerSize', 7, 'LineWidth',3);
axis equal
grid on
hold on, 
limbctr=1;
for i = 1:length(H)
    for j = 1:length(H)
        if(H(i,j) == 1)
            if ( (limbctr<=2) | (limbctr>=5 & limbctr<=8) )
                plot3([Out(1,i) Out(1,j)], [Out(2,i) Out(2,j)], [Out(3,i) Out(3,j)], clr, 'LineWidth',2);
            elseif( limbctr==3 | limbctr==9 | limbctr==10 | (limbctr>=13 & limbctr<=15) )
                plot3([Out(1,i) Out(1,j)], [Out(2,i) Out(2,j)], [Out(3,i) Out(3,j)], clrR, 'LineWidth',2);
            elseif(limbctr==4 | limbctr==11 | limbctr==12 | (limbctr>=16 & limbctr<=18))
                plot3([Out(1,i) Out(1,j)], [Out(2,i) Out(2,j)], [Out(3,i) Out(3,j)], clrL, 'LineWidth',2);
            end
            limbctr = limbctr + 1;
        end
        %plot3(Out(1,i), Out(2,i), Out(3,i), 'ro', 'MarkerFaceColor', 'r');
    end
    %disp(i);
    %pause;
end